# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(IO/Socket.pm)
# END SourceDeps(oneline)
%define module_version 0.98a
%define module_name router-lg
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.98a
Release: alt1
Summary: Looking Glass
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/C/CH/CHRISJ/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
The LG class is based on the lg.pl program originally written by Ed Kern
of Digex.  The original lg.pl program was used as a web-based front end 
to obtain information from routers via RSH.

All of the original features of lg.pl have been incorporated into LG.pm.

_- Multiple router vendor support
_- Multiple parameter support
_- Custom command definition


%prep
%setup -n Router
# depth is > 1 .. moving up
pushd "LG"
  mv -f * ../
  mv -f .* ../ ||:
popd

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Todo.txt Changes
%perl_vendor_privlib/R*

%changelog
* Thu Apr 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.98a-alt1
- initial import by package builder

